//
//	framecntr2obt:	convert all frame counters from a given AUX file
//					to OBT values
//
//	USAGE:
//		framecntr2obt <sciencefileanme>
//
#include <iostream>

#include "OalServer.h"
#include "Dal.h"
#include "NAN.h"

int main(int argc, char **argv)
{
	if (argc != 2) {
		cerr<<"Usage "<<argv[0]<<" <sciencefilename>"<<endl;
		return 1;
	}

	string sn(argv[1]);
	oalServer.setStateFromSetName(sn);

	Table *tab = dataSetServer->open(sn, Dal::Read)->table(0);
	ColumnData *cd = tab->column("FRAME")->data();
	int32 *frame = cd->int32Data();
	unsigned N = tab->rows();

	const FrameCounterVector *fv = oalServer.newFrameCounterVector(frame, N);
	ObtVector obt = fv->toObt();
//	for (unsigned n=0; n<N; ++n)
//		cout<<"OBT("<<frame[n]<<")= "<<obt[n]<<endl;

	delete cd;
	dataSetServer->close(tab->parent());

	N = obt.size()-1;
//	Table *t = dataSetServer->open("t.ds", Dal::Create)->addTable("T", N);
//	ColumnData *cdp1 = t->addColumn("T", Dal::Real64)->data();
//	ColumnData *cdp2 = t->addColumn("DT", Dal::Real64)->data();
//	real64 *p1 = cdp1->real64Data();
//		   *p2 = cdp2->real64Data();
//	for (unsigned n=1; n<N; ++n) {
//		p1[n-1] = obt[n];
//		if (!NaN.isSet(obt[n]) && !NaN.isSet(obt[n-1]))
//			p2[n-1] = obt[n]-obt[n-1];
//		else
//			p2[n-1] = 0.;
//	}
//	for (unsigned n=0; n<N; ++n)
//		p1[n] = obt[n];
//	dataSetServer->close(t->parent());

	return 0;
}
